Description

Some features of the actions tab are inconsistent or confusing.  In particular:

1. It is possible to edit the "Name" and "Action" cells directly in the "Action list", but it is not possible to edit the "Type" and "Capture" cells

directly in the "Action list".  It would be good if all the columns could be edited directly in the "Action list".

2. In the "Action properties", the first three rows consist of a label ("Type", "Name" and "Action"), and widgets relating to that label.  A user

is therefore likely to think that in the fourth row the field selector and the "insert field" button somehow relate to the "capture output"

checkbox.  They do not.  It would be good if this was cleaned up.  

If all the columns in the table were directly editable (refer to 1 above), then it might be best to remove the "Type", "Name", and "Capture

output" widgets, and rename "Action properties" to "Action builder".  See my first mark-up.  

Alternatively, it might be good to remove the entire "action properties" section, and add a button in the "Action cell" to open a separate

"Action builder" window.  See my second mark-up.

I think I prefer the first alternative, as a separate "Action builder" window seems quite unnecessary.

Associated revisions

Revision 35f5da70 - 2012-01-11 04:00 PM - Giuseppe Sucameli

make "action" tab less confusing (partially fix #4211):

display add and update buttons below the edit action widget (following the "new shapefile" UI style)

move the "capture output" checkbox away from the "insert field" combo

History

#1 - 2011-08-22 11:34 PM - Alister Hood

Also see #4210

#2 - 2011-09-13 02:35 PM - Nathan Woodrow

Personally I like the second mark up.  Less UI items is sometimes better and I don't think having a small popup here would be a bad thing.  The best thing

about Qt is you can make both UIs in Qt Designer and then add a bit of Python coding to see how they would feel better compiling the main code.

#3 - 2011-12-16 02:11 PM - Giovanni Manghi

- Target version set to Version 1.7.4

#4 - 2012-01-10 11:27 PM - Paolo Cavallini
- Crashes QGIS or corrupts data set to No

- Assignee set to Giuseppe Sucameli

- Affected QGIS version set to master

#5 - 2012-01-11 07:08 AM - Giuseppe Sucameli

- % Done changed from 0 to 100

- Status changed from Open to Closed

Fixed in changeset commit:"35f5da70cdb7c26ec1e082fb8a6fbb5b6a44c45d".

#6 - 2012-01-11 07:26 AM - Giuseppe Sucameli

- Status changed from Closed to Reopened

- % Done changed from 100 to 30

It's partially fixed.

#7 - 2012-01-11 10:13 AM - Paolo Cavallini

The column widths are not appropriate: Capture should be much smaller, with most space devoted to the action itself (currently quite nerrow)

#8 - 2012-02-01 12:38 AM - Giuseppe Sucameli

- Status changed from Reopened to Closed

- % Done changed from 30 to 100

Fixed in changeset commit:"0f24f21280115931062d8ab0b7fff86023d2b382".

#9 - 2012-02-01 01:01 AM - Giuseppe Sucameli

- Status changed from Closed to Reopened

- % Done changed from 100 to 30

The ticket was automatically closed due to a backport of my commit from master to another branch.

I open it again, it's partially fixed.

#10 - 2012-02-01 01:04 AM - Giuseppe Sucameli

- Target version changed from Version 1.7.4 to Version 1.8.0

#11 - 2012-07-19 01:45 AM - Alister Hood

- File New_mockup_1.png added

- File new_mockup_2.png added

it's partially fixed.
For the benefit of future readers: the more confusing aspects of this dialog have been eliminated.

But I still think it would be great to simplify this tab, and I guess doing so would make it a lot more useable on small screens.

What does everybody think about doing something along the lines of one of these new mockups?  The actual buttons and grouping probably aren't quite

right, but you should get the idea.

#12 - 2012-07-19 01:58 AM - Alister Hood

- File New_mockup_1.png added

slightly better version

#13 - 2012-07-19 01:59 AM - Alister Hood

- File deleted (New_mockup_1.png)

#14 - 2012-07-19 02:12 AM - Alister Hood

On another note, there's an inconsistency that in other parts of the gui a "..." button is used to open the expression builder.  But here it opens a file selector

which just inserts the filepath, while the expression builder has a separate "insert expression..." button.

Would it perhaps be possible to add a file path selector into the expression builder, and get rid of the separate file selector button?

#15 - 2012-07-19 02:33 AM - Alister Hood

- File deleted (New_mockup_1.png)

#16 - 2012-07-19 02:33 AM - Alister Hood

- File New_mockup_1.png added

Slight improvement again.

Note: this is kind of modelled on the symbol properties dialog, so if that changed significantly it might be worth following suit.

It might be good to remove the "add to action list" and "update selected action" buttons too.

#17 - 2012-07-22 04:14 AM - Nathan Woodrow

I agree the action UI still feels cluttered.  I like New_mockup_1 the most as it is a clean and removes the cluttered.  I also agree that the 'Add to action list'

and 'Update selected action' buttons should be removed, updates should be live.

#18 - 2012-09-04 11:58 AM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#19 - 2012-12-31 01:24 AM - Paolo Cavallini

- Assignee changed from Giuseppe Sucameli to anonymous -

#20 - 2013-10-01 07:19 AM - Giuseppe Sucameli

- Status changed from Reopened to Closed

2025-04-27 3/4



Fixed in changeset commit:"35f5da70cdb7c26ec1e082fb8a6fbb5b6a44c45d".

#21 - 2014-06-29 10:13 AM - Jürgen Fischer

- Assignee deleted (anonymous -)

Files
